"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// ../utils/index.ts
var utils_exports = {};
__export(utils_exports, {
  DEFAULT_EXCLUDE_REG: () => DEFAULT_EXCLUDE_REG,
  DEFAULT_INCLUDE_REG: () => DEFAULT_INCLUDE_REG,
  FG_IGNORE_LIST: () => FG_IGNORE_LIST,
  JSX_TSX_REG: () => JSX_TSX_REG,
  NAME: () => NAME,
  SUPPORT_FILE: () => SUPPORT_FILE,
  SUPPORT_FILE_LIST: () => SUPPORT_FILE_LIST,
  SUPPORT_FILE_REG: () => SUPPORT_FILE_REG,
  completeSuffix: () => completeSuffix,
  extend: () => extend,
  isEmptyObj: () => isEmptyObj,
  setTArray: () => setTArray,
  transformSymbol: () => transformSymbol
});
module.exports = __toCommonJS(utils_exports);
var import_path = require("path");

// ../utils/constant.ts
var NAME = "unplugin-vue-cssvars";
var SUPPORT_FILE_LIST = ["**/**.css"];
var SUPPORT_FILE_REG = /\.(css|sass|scss|styl|less)$/i;
var FG_IGNORE_LIST = ["**/node_modules/**", "**/dist/**", "**/.git/**"];
var SUPPORT_FILE = {
  CSS: "css",
  LESS: "less",
  SASS: "sass",
  SCSS: "scss",
  STYLUS: "stylus",
  STYL: "styl"
};
var DEFAULT_INCLUDE_REG = [/\.vue$/];
var DEFAULT_EXCLUDE_REG = [/[\\/]node_modules[\\/]/, /[\\/]\.git[\\/]/, /[\\/]\.dist[\\/]/];
var JSX_TSX_REG = /^(.*\.(jsx|tsx)$)/;

// ../utils/index.ts
var extend = (objFir, objSec) => {
  return Object.assign({}, objFir, objSec);
};
var setTArray = (set) => {
  return [...set];
};
var isEmptyObj = (val) => JSON.stringify(val) === "{}";
var transformSymbol = (path) => path.replaceAll("\\", "/");
var completeSuffix = (fileName, suffix, force) => {
  const transformSymbolRes = transformSymbol(fileName);
  if (force) {
    const { dir, name } = (0, import_path.parse)(transformSymbolRes);
    return transformSymbol((0, import_path.join)(dir, `${name}.${suffix || SUPPORT_FILE.CSS}`));
  }
  return !SUPPORT_FILE_REG.test(transformSymbolRes) && suffix ? `${transformSymbolRes}.${suffix}` : transformSymbolRes;
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  DEFAULT_EXCLUDE_REG,
  DEFAULT_INCLUDE_REG,
  FG_IGNORE_LIST,
  JSX_TSX_REG,
  NAME,
  SUPPORT_FILE,
  SUPPORT_FILE_LIST,
  SUPPORT_FILE_REG,
  completeSuffix,
  extend,
  isEmptyObj,
  setTArray,
  transformSymbol
});
