// ../utils/index.ts
import { join, parse } from "path";

// ../utils/constant.ts
var NAME = "unplugin-vue-cssvars";
var SUPPORT_FILE_LIST = ["**/**.css"];
var SUPPORT_FILE_REG = /\.(css|sass|scss|styl|less)$/i;
var FG_IGNORE_LIST = ["**/node_modules/**", "**/dist/**", "**/.git/**"];
var SUPPORT_FILE = {
  CSS: "css",
  LESS: "less",
  SASS: "sass",
  SCSS: "scss",
  STYLUS: "stylus",
  STYL: "styl"
};
var DEFAULT_INCLUDE_REG = [/\.vue$/];
var DEFAULT_EXCLUDE_REG = [/[\\/]node_modules[\\/]/, /[\\/]\.git[\\/]/, /[\\/]\.dist[\\/]/];
var JSX_TSX_REG = /^(.*\.(jsx|tsx)$)/;

// ../utils/index.ts
var extend = (objFir, objSec) => {
  return Object.assign({}, objFir, objSec);
};
var setTArray = (set) => {
  return [...set];
};
var isEmptyObj = (val) => JSON.stringify(val) === "{}";
var transformSymbol = (path) => path.replaceAll("\\", "/");
var completeSuffix = (fileName, suffix, force) => {
  const transformSymbolRes = transformSymbol(fileName);
  if (force) {
    const { dir, name } = parse(transformSymbolRes);
    return transformSymbol(join(dir, `${name}.${suffix || SUPPORT_FILE.CSS}`));
  }
  return !SUPPORT_FILE_REG.test(transformSymbolRes) && suffix ? `${transformSymbolRes}.${suffix}` : transformSymbolRes;
};
export {
  DEFAULT_EXCLUDE_REG,
  DEFAULT_INCLUDE_REG,
  FG_IGNORE_LIST,
  JSX_TSX_REG,
  NAME,
  SUPPORT_FILE,
  SUPPORT_FILE_LIST,
  SUPPORT_FILE_REG,
  completeSuffix,
  extend,
  isEmptyObj,
  setTArray,
  transformSymbol
};
